Hooks:PostHook( WeaponTweakData, "init", "gunshere", function(self)  

require("lib/tweak_data/WeaponFactoryTweakData")
require("lib/tweak_data/WeaponFalloffTweakData")

local FALLOFF_TEMPLATE = WeaponFalloffTemplate.setup_weapon_falloff_templates()

--M308 AKA New_M14
--But use in auto fire mode and graze well still on it!
self.new_m14.categories = {"snp"}
self.new_m14.ignore_damage_upgrades = true
self.new_m14.stats_modifiers = {damage = 1}
self.new_m14.AMMO_MAX = 60
self.new_m14.CLIP_AMMO_MAX = 20
self.new_m14.AMMO_PICKUP = {2.0, 3.75}
	self.new_m14.damage_falloff = FALLOFF_TEMPLATE.SNIPER_FALL_LOW
	self.new_m14.can_shoot_through_enemy = true
	self.new_m14.can_shoot_through_shield = true
	self.new_m14.can_shoot_through_wall = true
	self.new_m14.fire_mode_data = {
		fire_rate = 0.12
	}
	self.new_m14.CAN_TOGGLE_FIREMODE = true
	self.new_m14.single = {
		fire_rate = 0.12
	}
	self.new_m14.timers = {
	reload_not_empty = 2.50,
	reload_empty = 3.50,
	unequip = 0.5,
	equip = 0.45
	}
	self.new_m14.panic_suppression_chance = 0.3
	self.new_m14.stats = {
		zoom = 3,
		total_ammo_mod = 21,
		damage = 120,
		alert_size = 7,
		spread = 17,
		spread_moving = 15,
		recoil = 5,
		value = 1,
		extra_ammo = 51,
		reload = 11,
		suppression = 3,
		concealment = 8 --8
	}
	self.new_m14.kick = {
		standing = {
			0.5,
			1.5,
			-0.25,
			0.75
		}
	}
	self.new_m14.kick.crouching = self.new_m14.kick.standing
	self.new_m14.kick.steelsight = {
		0.25,
		0.75,
		-0.10,
		0.40
	}
	self.new_m14.crosshair = {
		standing = {},
		crouching = {},
		steelsight = {}
	}
	self.new_m14.crosshair.standing.offset = 0
	self.new_m14.crosshair.standing.moving_offset = 0
	self.new_m14.crosshair.standing.kick_offset = 0
	self.new_m14.crosshair.crouching.offset = 0
	self.new_m14.crosshair.crouching.moving_offset = 0
	self.new_m14.crosshair.crouching.kick_offset = 0
	self.new_m14.crosshair.steelsight.hidden = true
	self.new_m14.crosshair.steelsight.offset = 0
	self.new_m14.crosshair.steelsight.moving_offset = 0
	self.new_m14.crosshair.steelsight.kick_offset = 0
	self.new_m14.shake = {
		fire_multiplier = 0.25,
		fire_steelsight_multiplier = 0.00
	}
self.new_m14.armor_piercing_chance = 1

--M1 Garand aka Galant is now medium damage sniper
self.ching.damage_falloff = FALLOFF_TEMPLATE.SNIPER_FALL_MEDIUM
self.ching.categories = {"snp"}
	self.ching.stats_modifiers = {damage = 2}
	self.ching.ignore_damage_upgrades = true
	self.ching.AMMO_MAX = 32
	self.ching.CLIP_AMMO_MAX = 8
	self.ching.AMMO_PICKUP = {0.4, 0.85}
	self.ching.CAN_TOGGLE_FIREMODE = false
	self.ching.fire_mode_data = {fire_rate = 0.3}
	self.ching.timers = {
		reload_not_empty = 2.70,
		reload_empty = 1.70,
		unequip = 0.55,
		equip = 0.55
	}
	self.ching.can_shoot_through_enemy = true
	self.ching.can_shoot_through_shield = true
	self.ching.can_shoot_through_wall = true
	self.ching.panic_suppression_chance = 0.4
	self.ching.stats = {
		zoom = 3,
		total_ammo_mod = 21,
		damage = 124,
		alert_size = 7,
		spread = 18,
		spread_moving = 20,
		recoil = 5,
		value = 1,
		extra_ammo = 51,
		reload = 8,
		suppression = 4,
		concealment = 20
	}
	self.ching.kick = {
		standing = {
			0.5,
			1.5,
			-0.25,
			0.75
		}
	}
	self.ching.kick.crouching = self.ching.kick.standing
	self.ching.kick.steelsight = {
		0.20,
		0.60,
		-0.10,
		0.40
	}
	self.ching.crosshair = {
		standing = {},
		crouching = {},
		steelsight = {}
	}
	self.ching.shake = {
		fire_multiplier = 0.75,
		fire_steelsight_multiplier = 0.5
	}
self.ching.armor_piercing_chance = 1

end )